xdmapcie: XDmaPcie_Config Struct Reference

| xdmapcie Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDmaPcie_Config Struct Reference

This typedef contains IP hardware configuration information. More...

## Data Fields
u16 | DeviceId
| Unique ID of PCIe IP. More...
UINTPTR | BaseAddress
| Register base address. More...
u8 | IncludeBarOffsetReg
| Are BAR Offset registers built in hardware. More...
u8 | IncludeRootComplex
| Is IP built as root complex. More...
u32 | NpMemBaseAddr
| non prefetchable memory base address More...
u64 | PMemBaseAddr
| prefetchable memory base address More...
u32 | NpMemMaxAddr
| non prefetchable memory max base address More...
u64 | PMemMaxAddr
| prefetchable memory max base address More...

## Detailed Description

This typedef contains IP hardware configuration information.

## Field Documentation

UINTPTR XDmaPcie_Config::BaseAddress

Register base address.

Referenced by PcieInitRootComplex(), XDmaPcie_CfgInitialize(), XDmaPcie_ClearPendingInterrupts(), XDmaPcie_ClearRootPortErrFIFOMsg(), XDmaPcie_ClearRootPortIntFIFOReg(), XDmaPcie_DisableGlobalInterrupt(), XDmaPcie_DisableInterrupts(), XDmaPcie_EnableGlobalInterrupt(), XDmaPcie_EnableInterrupts(), XDmaPcie_GetBridgeInfo(), XDmaPcie_GetEnabledInterrupts(), XDmaPcie_GetLocalBusBar2PcieBar(), XDmaPcie_GetPendingInterrupts(), XDmaPcie_GetPhyStatusCtrl(), XDmaPcie_GetRequesterId(), XDmaPcie_GetRootPortErrFIFOMsg(), XDmaPcie_GetRootPortIntFIFOReg(), XDmaPcie_GetRootPortStatusCtrl(), XDmaPcie_GetVsecCapability(), XDmaPcie_GetVsecHeader(), XDmaPcie_ReadLocalConfigSpace(), XDmaPcie_ReadRemoteConfigSpace(), XDmaPcie_SetLocalBusBar2PcieBar(), XDmaPcie_SetRootPortMSIBase(), XDmaPcie_SetRootPortStatusCtrl(), XDmaPcie_WriteLocalConfigSpace(), and XDmaPcie_WriteRemoteConfigSpace().

u16 XDmaPcie_Config::DeviceId

Unique ID of PCIe IP.

u8 XDmaPcie_Config::IncludeBarOffsetReg

Are BAR Offset registers built in hardware.

Referenced by XDmaPcie_GetLocalBusBar2PcieBar(), and XDmaPcie_SetLocalBusBar2PcieBar().

u8 XDmaPcie_Config::IncludeRootComplex

Is IP built as root complex.

Referenced by PcieInitRootComplex(), XDmaPcie_ClearRootPortErrFIFOMsg(), XDmaPcie_ClearRootPortIntFIFOReg(), XDmaPcie_GetRootPortErrFIFOMsg(), XDmaPcie_GetRootPortIntFIFOReg(), XDmaPcie_GetRootPortStatusCtrl(), XDmaPcie_ReadRemoteConfigSpace(), XDmaPcie_SetRootPortMSIBase(), XDmaPcie_SetRootPortStatusCtrl(), XDmaPcie_WriteLocalConfigSpace(), and XDmaPcie_WriteRemoteConfigSpace().

u32 XDmaPcie_Config::NpMemBaseAddr

non prefetchable memory base address

u32 XDmaPcie_Config::NpMemMaxAddr

non prefetchable memory max base address

u64 XDmaPcie_Config::PMemBaseAddr

prefetchable memory base address

u64 XDmaPcie_Config::PMemMaxAddr

prefetchable memory max base address